Skip to main content
GET
/
agents
/
{agentId}
/
tools
Get Agent Tools
curl --request GET \
  --url https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/tools \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "isDefault": true,
      "method": "GET",
      "serverUrl": "<string>",
      "serverUrlSecret": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "disabled": true,
      "isVapiTool": true,
      "vapiId": "<string>",
      "isGlobal": true,
      "variablesIds": [
        "<string>"
      ],
      "agentId": "<string>",
      "userId": "<string>",
      "backchannellingPhrases": [
        "<string>"
      ],
      "toolsSettings": "<unknown>",
      "fields": [
        {
          "id": "<string>",
          "in": "<string>",
          "type": "string",
          "value": "<unknown>",
          "defaultValue": "<unknown>",
          "key": "<string>",
          "description": "<string>",
          "required": true,
          "reusable": true,
          "isEnv": true,
          "isSystem": true,
          "isGlobal": true,
          "agentId": "<string>",
          "userId": "<string>"
        }
      ],
      "channels": [
        "web-chat"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt

Use this file to discover all available pages before exploring further.

Returns all tools associated with the specified agent including their field configurations.
Use the tool id to reference tools in agent instructions with the syntax {{tool:tool_id}}.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required

Response

Successful response

success
boolean
required
message
string
required
data
object[]
required